Xapian::WildcardError Class Reference

WildcardError indicates an error expanding a wildcarded query. More...

`#include <error.h>`

Inheritance diagram for Xapian::WildcardError:
[legend]

## Public Member Functions

| WildcardError (std::string_view msg_, std::string_view context_={}, int errno_=0)
| General purpose constructor.
| WildcardError (std::string_view msg_, int errno_)
| Construct from message and errno value.
Public Member Functions inherited from Xapian::Error
| Error (const Error &)=default
| Default copy constructor.
const char * | get_type () const noexcept
| The type of this error (e.g. "DocNotFoundError".).
const std::string & | get_msg () const noexcept
| Message giving details of the error, intended for human consumption.
const std::string & | get_context () const noexcept
| Optional context information.
const char * | get_error_string () const
| Returns any system error string associated with this exception.
std::string | get_description () const
| Return a string describing this object.

## Detailed Description

WildcardError indicates an error expanding a wildcarded query.

## Constructor & Destructor Documentation

## WildcardError() [1/2]

Xapian::WildcardError::WildcardError | ( | std::string_view | msg_,
|  | std::string_view | context_ = {},
|  | int | errno_ = 0 )

inline explicit

General purpose constructor.

Parameters

  msg_ | Message giving details of the error, intended for human consumption.
  context_ | Optional context information for this error.
  errno_ | Optional errno value associated with this error.

## WildcardError() [2/2]

Xapian::WildcardError::WildcardError | ( | std::string_view | msg_,
|  | int | errno_ )

inline

Construct from message and errno value.

Parameters

  msg_ | Message giving details of the error, intended for human consumption.
  errno_ | Optional errno value associated with this error.

The documentation for this class was generated from the following file:

- xapian/error.h